Hi Eric,

Why isn°«t your reply on the issue tracker?
Sorry for using gmail mobile client to reply to you.
In the issue you mention Matz replied:

 °»Agreed for warnings.

For removing, I think we have to wait for 3.0.

Matz.°…


What does °»removing°… mean?

On Tue, 26 Dec 2017 at 08:52, Eric Wong <normalperson / yhbt.net> wrote:

> danieldasilvaferreira / gmail.com wrote:
> > If we are considering breaking backwards compatibility in ruby
> > 3.0 with removal of API like IO.read which is all over let°«s
>
> Removal of IO.read?  I hope you're not misinterpreting my [ruby-core:84461]
> response to https://bugs.ruby-lang.org/issues/14239
> I only want to warn on the IO.read("| command") case,
> not remove the whole thing.
>
> Anyways, I do not have much opinion on symbols/strings;
> but I hate breaking compatibility.
>
> Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
> <http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>
>
(supressed text/html)
Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>